%define pkg_name        Compress-LZO
%define pkg_version     1.08
%define rpm_pkg_version 1.08
%define rpm_pkg_release 4.n0i.4

Summary:       Interface to the LZO compression library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MF/MFX/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: lzo-devel
BuildRequires: perl(ExtUtils::MakeMaker)

%global lzo_major       %(rpm -q --qf '%{VERSION}' lzo |cut -d. -f1)

%description
The Compress::LZO module provides a Perl interface to the LZO compression
library.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%fix_mod
%{__sed} -i 's@"\$LZO_INCLUDE"@"-I%{_includedir}/lzo"@' Makefile.PL
%if %lzo_major == 2
	%{__sed} -i 's@llzo@llzo2@' Makefile.PL
%endif


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc COPYING NEWS README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.08-4.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Mon Aug 21 2006 Marius FERARU <altblue@n0i.net> - 1.08-3.n0i.3
- spec updated (reb00t macros)
- lzo2 compatibility

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.08-2.n0i.2
- rebuild

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 1.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
